Raritan PX2/PX3 JSON-RPC API

Public Member Functions | List of all members
logging::EventLog_2_0_0 Interface Reference

Device event log interface. More...

`import"EventLog.idl";`

## Public Member Functions
void | clear ()
| Clear the event log.
LogInfo | getInfo ()
| Get info about the event log. More...
LogChunk | getChunk (in int refId, in int count, in RangeDirection direction, in vector< string > categories)
| Fetch a chunk from the event log. More...

## Detailed Description

Device event log interface.

## Member Function Documentation

## ◆ getChunk()

LogChunk logging::EventLog_2_0_0::getChunk | ( | in int | refId,
|  | in int | count,
|  | in RangeDirection | direction,
|  | in vector< string > | categories
| ) |  |

Fetch a chunk from the event log.

Parameters

  idRef | First log id to fetch
  count | Number of entries to fetch
  direction | Range direction
  categories | Event cartegories to filter for

Returns
  log chunk

## ◆ getInfo()

LogInfo logging::EventLog_2_0_0::getInfo | ( |  | ) |

Get info about the event log.

Returns
  log info

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/EventLog.idl